// CTimer Class Definition
// Copyright 2006, Mike Stefanik. All rights reserved.
//
// This material may be freely redistributed and used but may not be
// republished or sold without permission.
//
#ifndef _CTIMER_CLASS_INC
#define _CTIMER_CLASS_INC

class CTimer
{
	// Class constructor and destructor
	declare CTimer();
	declare _CTimer();

	// Class public methods
	declare GetElapsedTime(), unsigned int;
	declare ResetTimer();
	declare StartTimer(unsigned int nInterval, opt pointer lpParameter = null), int;
	declare StopTimer();

	// Class virtual methods
	declare virtual OnTimer(unsigned int nInterval, unsigned int nElapsed, pointer lpParameter);

	// Class member variables
	unsigned int m_nTimerId;
	unsigned int m_nInterval;
	unsigned int m_dwTimerStarted;
	unsigned int m_dwTimerStopped;
	pointer m_lpParameter;
}

#endif // _CTIMER_CLASS_INC
